<template>
    <div class="InputArea">
        <div class="RegTitleBlock">
            <span class="font-weight-bold"><span class="text-danger mr-1">*</span>Password</span>
            <span class="icon-error text-danger">
                <font-awesome-icon class="mr-1" icon="times-circle" />Invalid name
            </span>
            <span class="icon-success text-success">
                <font-awesome-icon class="mr-1" icon="check-circle" />OK
            </span>
        </div>
        <div class="InputBlock">
            <div role="group">
              <b-form-input
                v-model="name"
                type="password"
                id="password"
                required
                :state="nameState"
                aria-describedby="input-live-help input-live-feedback"
                class="bg-input"

              >
              </b-form-input>

            </div>
        </div>
        <div class="RegInfoText">
            <span>At least 8 letters and/or apart from symbols [\"'+]</span>
        </div>
    </div>
</template>

<script>
  export default {
    computed: {
      nameState() {
        return this.name.length > 7 ? true : false
      }
    },
    data() {
      return {
        name: ''
      }
    }
  }
</script>

<style lang="scss" media="screen">
    .InputArea {
        div {
            margin: 3px 0;
        }
        .RegInfoText {
            span {
                color: #a2a2a2;
            }
        }
        .group {
            padding: 2px;
        }
        .InputBlock {
            padding: 2px;
            .bg-input {
                width: 100%;
                padding: 2px;

                border: 1px solid #eeeeee;
                border-radius: 5px;
                background-color: #eeeeee;

                padding: 2px 5px;

                resize: none;
            }
        }
        .bg-input:focus {
            outline: none;
        }
        .was-validated .form-control:invalid ~ .icon-error{
            display: block;
        }
        .icon-error {
            display: none;
        }
        .icon-success {
            display: none;
        }
    }

</style>
